%define drupaldatadir %{_datadir}/%{name}
%define drupalsysconfdir %{_sysconfdir}/%{name}
%define drupalstatedir %{_localstatedir}/lib/%{name}
%define drupaltmpdir %{drupalstatedir}/tmp
%define drupaldocdir %{_defaultdocdir}/%{name}

Name:       drupal
Version:    7.56
Release:    %mkrel 1
Epoch:      0
Summary:    Open source content management platform
License:    GPLv2+
Group:      Networking/WWW
Url:        http://www.drupal.org/
BuildArch:  noarch

Source0:    http://ftp.drupal.org/files/projects/%{name}-%{version}.tar.gz
Source1:    README.urpmi
Source2:    %{name}.conf

Patch0:     %{name}-7.4-baseurl.patch
Patch1:     %{name}-7.8-scripts-remove-shebang.patch
Patch3:     %{name}-7.14-fc-fix-path-disclosure-vulnerability.patch

BuildRequires: php-cli

Requires:   apache
Requires:   apache-mod_php
Requires:   php-xml
Requires:   php-mbstring
Requires:   php-gd
Recommends:   php-uploadprogress
Requires:   %{name}-database-storage = %{version}-%{release}

%description
Drupal is a free software package that allows an individual or a 
community of users to easily publish, manage and organize a wide variety 
of content on a website. Tens of thousands of people and organizations 
have used Drupal to power scores of different web sites, including

    * Community web portals
    * Discussion sites
    * Corporate web sites
    * Intranet applications
    * Personal web sites or blogs
    * Aficionado sites
    * E-commerce applications
    * Resource directories
    * Social Networking sites

%package mysql
Summary:    mysql storage for drupal
Group:      Networking/WWW
Provides:   %{name}-database-storage = %{version}-%{release}
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   php-pdo_mysql
Obsoletes:  %{name}-mysqli < 0:7.10

%description mysql
This package requires needed packages for using mysql as storage backend
for drupal.

%package postgresql
Summary:    postgresql storage for drupal
Group:      Networking/WWW
Provides:   %{name}-database-storage = %{version}-%{release}
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   php-pdo_pgsql

%description postgresql
This package requires needed packages for using postgresql as storage backend
for drupal.

%package sqlite
Summary:    sqlite storage for drupal
Group:      Networking/WWW
Provides:   %{name}-database-storage = %{version}-%{release}
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   php-pdo_sqlite

%description sqlite
This package requires needed packages for using sqlite as storage backend
for drupal.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .remove_shebang
%patch3 -p1

chmod -x scripts/drupal.sh
chmod -x scripts/password-hash.sh
chmod -x scripts/run-tests.sh

%install
mkdir -p %{buildroot}%{drupaldatadir}
mkdir -p %{buildroot}%{drupalsysconfdir}
cp -a * %{buildroot}%{drupaldatadir}
rm -f %{buildroot}%{drupaldatadir}/*.txt %{buildroot}%{drupaldatadir}/web.config

cp -a robots.txt %{buildroot}%{drupalsysconfdir}
(cd %{buildroot}%{drupaldatadir}
ln -s ../../..%{drupalsysconfdir}/robots.txt .
cd -)

install -D -m 644 %{SOURCE2} %{buildroot}%{_webappconfdir}/%{name}.conf

mv %{buildroot}%{drupaldatadir}/sites %{buildroot}%{drupalsysconfdir}
(cd %{buildroot}%{drupaldatadir}
ln -s ../../..%{drupalsysconfdir}/sites .
cd -)

mkdir -p %{buildroot}%{drupalstatedir}/files/default
(cd %{buildroot}%{drupaldatadir}/sites/default
ln -s ../../../../..%{drupalstatedir}/files/default files
cd -)
cat > %{buildroot}%{drupalstatedir}/files/default/.htaccess << EOF
# Turn off all options we don't need.
Options None
Options +FollowSymLinks

# Set the catch-all handler to prevent scripts from being executed.
SetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006
<Files *>
  # Override the handler again if we're run later in the evaluation list.
  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003
</Files>

# If we know how to do it safely, disable the PHP engine entirely.
<IfModule mod_php.c>
  php_flag engine off
</IfModule>
EOF

mkdir -p %{buildroot}%{drupaltmpdir}
cat > %{buildroot}%{drupaltmpdir}/.htaccess << EOF
<Directory %{drupaltmpdir}>

    <IfModule mod_authz_core.c>
	# Apache 2.4
	<RequireAny>
	    Require all denied
	</RequireAny>
    </IfModule>
    <IfModule !mod_authz_core.c>
	# Apache 2.2
	Order Deny,Allow
	Deny from All
	Allow from None
    </IfModule>

    # Turn off all options we don't need.
    Options None
    Options +FollowSymLinks

    # Set the catch-all handler to prevent scripts from being executed.
    SetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006
    <Files *>
      # Override the handler again if we're run later in the evaluation list.
      SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003
    </Files>

    # If we know how to do it safely, disable the PHP engine entirely.
    <IfModule mod_php.c>
      php_flag engine off
    </IfModule>

</Directory>
EOF

cat >> %{buildroot}%{drupalsysconfdir}/sites/default/default.settings.php << EOF

/** preset file_temporary_path so it's under apache acl (SA-CORE-2013-003) **/
\$conf['file_temporary_path'] = '%{drupaltmpdir}';
EOF

install -m0644 %SOURCE1 .

%files
%doc *.txt README.urpmi
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/includes
%{_datadir}/%{name}/misc
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/profiles
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/*php
%{_datadir}/%{name}/sites
%{_datadir}/%{name}/robots.txt
%dir %{drupalstatedir}
%dir %{drupalstatedir}/files
%attr(0755,apache,apache) %dir %{drupalstatedir}/files/default
%config(noreplace) %attr(0644,apache,apache) %{drupalstatedir}/files/default/.htaccess
%attr(0755,apache,apache) %dir %{drupaltmpdir}
%config(noreplace) %attr(0644,apache,apache) %{drupaltmpdir}/.htaccess
%attr(710,root,apache) %dir %{_sysconfdir}/%{name}
%attr(-,apache,apache) %{_sysconfdir}/%{name}/sites
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/robots.txt

%files mysql

%files postgresql

%files sqlite


%changelog
* Mon Jun 26 2017 luigiwalser <luigiwalser> 0:7.56-1.mga5
+ Revision: 1108509
- 7.56 (fixes CVE-2017-6922)
- 7.52
- 7.44
- 7.43
- update FilesMatch in drupal.conf (from upstream 7.42)
- fix permissions of /etc/drupal/sites
- 7.41
- add 7.40 htaccess change to add nosniff header to prevent IE problem
- 7.39
- 7.38

* Fri Mar 20 2015 luigiwalser <luigiwalser> 0:7.35-1.mga5
+ Revision: 818988
- 7.35

* Thu Nov 20 2014 luigiwalser <luigiwalser> 0:7.34-1.mga5
+ Revision: 797946
- 7.34

* Wed Oct 15 2014 luigiwalser <luigiwalser> 0:7.32-1.mga5
+ Revision: 756838
- 7.32 (fixes CVE-2014-3704)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0:7.31-3.mga5
+ Revision: 725051
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0:7.31-2.mga5
+ Revision: 678866
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 07 2014 luigiwalser <luigiwalser> 0:7.31-1.mga5
+ Revision: 660874
- 7.31 (fixes xml-rpc DoS)

* Tue Jul 22 2014 luigiwalser <luigiwalser> 0:7.29-1.mga5
+ Revision: 655591
- 7.29

* Sat May 17 2014 tmb <tmb> 0:7.28-1.mga5
+ Revision: 623158
- update to 7.28
- BR php-cli

* Sun Jan 26 2014 luigiwalser <luigiwalser> 0:7.26-1.mga4
+ Revision: 568345
- 7.26 (fixes CVE-2014-1475 and CVE-2014-1476)

* Fri Nov 29 2013 oden <oden> 0:7.24-3.mga4
+ Revision: 554054
- whoops! php5/php

* Wed Nov 27 2013 oden <oden> 0:7.24-2.mga4
+ Revision: 553751
- files in /tmp or /var/tmp is forbidden, so putting tmp in /var/lib/drupal/tmp (which is wrong imo)
- obey rpmlint
- more SA-CORE-2013-003 fixes
- more fixes according to SA-CORE-2013-003

* Sat Nov 23 2013 fwang <fwang> 0:7.24-1.mga4
+ Revision: 552509
- set as config file
- new version 7.24

* Sat Oct 19 2013 umeabot <umeabot> 0:7.22-2.mga4
+ Revision: 528411
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 fwang <fwang> 0:7.22-1.mga4
+ Revision: 444859
- new version 7.22

  + pterjan <pterjan>
    - Fix typos / improve summaries and descriptions

* Thu Feb 21 2013 fwang <fwang> 0:7.20-1.mga3
+ Revision: 399591
- new version 7.20

* Fri Jan 18 2013 fwang <fwang> 0:7.19-1.mga3
+ Revision: 389388
- new version 7.19

* Fri Jan 11 2013 umeabot <umeabot> 0:7.18-2.mga3
+ Revision: 349124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0:7.18-1.mga3
+ Revision: 332918
- new version 7.18

* Sun Nov 18 2012 fwang <fwang> 0:7.17-1.mga3
+ Revision: 319403
- new version 7.17

* Fri Oct 19 2012 fwang <fwang> 0:7.16-1.mga3
+ Revision: 308274
- new version 7.16

* Fri Oct 05 2012 obgr_seneca <obgr_seneca> 0:7.15-3.mga3
+ Revision: 302850
- removed dependancies for the database servers

* Sat Sep 08 2012 guillomovitch <guillomovitch> 0:7.15-2.mga3
+ Revision: 290493
- make configuration file compatible with apache 2.4
- ship configuration file as an additional source

* Thu Aug 02 2012 fwang <fwang> 0:7.15-1.mga3
+ Revision: 277813
- new version 7.15

* Fri Jul 13 2012 fwang <fwang> 0:7.14-4.mga3
+ Revision: 270576
- rebuild for missing packages

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 0:7.14-3.mga3
+ Revision: 266967
- Fix README.urpmi

* Fri Jun 15 2012 obgr_seneca <obgr_seneca> 0:7.14-2.mga3
+ Revision: 260802
- Fix path disclosure vulnerability CVE-2012-2922 (Mga Bug #5844)

* Fri May 04 2012 fwang <fwang> 0:7.14-1.mga3
+ Revision: 234693
- new version 7.14

* Sun Feb 12 2012 fwang <fwang> 0:7.12-2.mga2
+ Revision: 207927
- fix requires on epoch
- new version 7.12

* Sun Dec 11 2011 fwang <fwang> 0:7.10-2.mga2
+ Revision: 180683
- fix obsoleted version

* Sun Dec 11 2011 fwang <fwang> 0:7.10-1.mga2
+ Revision: 180676
- new version 5.10

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0:7.9-1.mga2
+ Revision: 171867
- fixed htacces patch
- new version 7.9

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-3.mga2
+ Revision: 154121
- removed .htaccess and added functiuonality to http conf file

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-2.mga2
+ Revision: 154101
- fixed typo in htaccess patch

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-1.mga2
+ Revision: 154096
- new version 7.8
- changed installation paths conforming to web app policy
- added patches for .htaccess and shebang removal
- added pdo packages as Requires to database sub packages

* Mon Jul 04 2011 kharec <kharec> 0:7.4-2.mga2
+ Revision: 118307
- bump rel
- add patch for fix base url

* Mon Jul 04 2011 kharec <kharec> 0:7.4-1.mga2
+ Revision: 118130
- new version 7.4

* Mon Jul 04 2011 kharec <kharec> 0:7.2-1.mga2
+ Revision: 118114
- drop p0
- new version 7.2

* Thu Apr 14 2011 tv <tv> 0:7.0-1.mga1
+ Revision: 85228
- cleanups
- imported package drupal


* Sat Jan 08 2011 Funda Wang <fwang@mandriva.org> 0:7.0-1mdv2011.0
+ Revision: 630576
- new version 7.0

* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0:6.20-1mdv2011.0
+ Revision: 622382
- update to new version 6.20

* Sun Aug 15 2010 Funda Wang <fwang@mandriva.org> 0:6.19-1mdv2011.0
+ Revision: 570187
- update to new version 6.19

* Tue Jul 27 2010 Jerome Martin <jmartin@mandriva.org> 0:6.17-1mdv2011.0
+ Revision: 561158
- Release 6.17

* Fri Mar 05 2010 Funda Wang <fwang@mandriva.org> 0:6.16-1mdv2010.1
+ Revision: 514438
- New version 6.16

* Mon Mar 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0:6.15-2mdv2010.1
+ Revision: 513130
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 0:6.15-1mdv2010.1
+ Revision: 479651
- rediff baseurl patch
- new version 6.15

* Thu Sep 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0:6.14-1mdv2010.0
+ Revision: 444140
- update to new version 6.14

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 0:6.13-4mdv2010.0
+ Revision: 410916
- add dependency for main pacakge
- add several virtual provides to ease users

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 0:6.13-2mdv2010.0
+ Revision: 410890
- add php-gd for its dependency (bug#51786)
- fix perm of sites subdir (bug#52682)

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0:6.13-1mdv2010.0
+ Revision: 399044
- update to new version 6.13

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0:6.12-1mdv2010.0
+ Revision: 375765
- update to new version 6.12

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0:6.11-1mdv2010.0
+ Revision: 370003
- New version 6.11

* Sat Mar 14 2009 Funda Wang <fwang@mandriva.org> 0:6.10-1mdv2009.1
+ Revision: 354970
- New version 6.10

* Fri Jan 16 2009 Funda Wang <fwang@mandriva.org> 0:6.9-1mdv2009.1
+ Revision: 330090
- New version 6.9

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 0:6.8-1mdv2009.1
+ Revision: 314236
- new version 6.8

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 0:6.7-1mdv2009.1
+ Revision: 312863
- rediff baseurl patch
- new version 6.7

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0:6.6-1mdv2009.1
+ Revision: 296651
- update to new version 6.6

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0:6.5-1mdv2009.1
+ Revision: 292746
- update to new version 6.5

* Thu Aug 14 2008 Funda Wang <fwang@mandriva.org> 0:6.4-1mdv2009.0
+ Revision: 271698
- New version 6.4

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 0:6.3-3mdv2009.0
+ Revision: 250565
- drop /var/www/drupal/.htaccess, put all the stuff into webapps.conf

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0:6.3-2mdv2009.0
+ Revision: 248194
- add htaccess file

* Thu Jul 10 2008 Funda Wang <fwang@mandriva.org> 0:6.3-1mdv2009.0
+ Revision: 233274
- update to new version 6.3

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 0:6.2-2mdv2009.0
+ Revision: 206530
- clearify default baseurl
- drupal now has a beautiful installer

* Sat Apr 12 2008 Funda Wang <fwang@mandriva.org> 0:6.2-1mdv2009.0
+ Revision: 192607
- New version 6.2

* Sun Mar 02 2008 Funda Wang <fwang@mandriva.org> 0:6.1-1mdv2008.1
+ Revision: 177600
- New version 6.1

* Sat Feb 16 2008 David Walluck <walluck@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 169228
- fix install
- fix mixed-use-of-spaces-and-tabs
- 6.0

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 0:5.7-1mdv2008.1
+ Revision: 159770
- New version 5.7

* Fri Jan 11 2008 Funda Wang <fwang@mandriva.org> 0:5.6-1mdv2008.1
+ Revision: 147909
- update to new version 5.6
- requires mbstring
- new license policy
- requires php-xml

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Funda Wang <fwang@mandriva.org> 0:5.5-1mdv2008.1
+ Revision: 116118
- update to new version 5.5

* Fri Oct 19 2007 Pascal Terjan <pterjan@mandriva.org> 0:5.3-1mdv2008.1
+ Revision: 100221
- update to new version 5.3

* Mon Aug 06 2007 Funda Wang <fwang@mandriva.org> 0:5.2-1mdv2008.0
+ Revision: 59415
- New version 5.2


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 5.1-1mdv2007.1
+ Revision: 134958
- 5.1
- Import drupal

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 4.7.0-1mdk
- 4.7.0

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 4.4.0-2mdk
- rebuild (bug #9709)

* Fri Apr 16 2004 Daouda LO <daouda@mandrakesoft.com> 4.4.0-1mdk
- first mandrake package

